Locally Update InstantRails-2.0-win to support rails 2.2.2


#1

Locally Update InstantRails-2.0-win to support rails 2.2.2.
Before everything I want point something that all the blogs and forums
shows how to install rails from remote server. But this is

boring for people on the slow side of the internet. Rails is a gem
(meaning this is a package) so we can install rails locally from

the gem. But we need all the gems to install it locally.

For ur convenience u can download the rails-2.2.2. zip from
http://rubyonrails.org. Inside the zip u will find

{vendor/rails//pkg} directory here u will get all the gems u need.(
means railties,activesupport,activerecord etc.)

Step 1. Setting the environment variable in win XP
Set a path of /ruby/bin
{installed driver}/{ InstantRails-2.0-win¡¨ } /ruby/bin

Step 2. Installing ruby gem 1.3.1
Extract ¡§rubygems-1.3.1.zip ¡§
Go to the extracted directory from command line
Run :
ruby install.rb
This will install the ruby gem 1.3.1
Check the version with run :
gem -v
To be sured u can run command: gem update ¡Vsystem

Step 3. Installing rake 0.8.3
To install rails-2.2.2 u will need rake 0.8.3
I couldn¡¦t find the gem of rake 0.8.3
I installed it from internet
Run :
gem install rake ¡Vinclude-dependencies
This update rake ļ

Step 4. Installing rails 2.2.2
Put all the gems in the {your path}/ruby/bin/ directory
All most done ļ
Run command :
gem install rails ¡Vinclude-dependencies ¡Vl
The last ¡Vl parameter forces the gems to be installed from local
directory
The command will auto install actionmailer,activerecord ¡K…
Check the version with run :
rails ¡Vv

Step 5. Seeing what is installed
U can see all the gem that are installed in ur system .
Run :
gem list
Warring!!! do not run :
gem cleanup
This cleanup is not necessary

Problems you may face:
I face a mysql a problem of : missing libmySQL.dll error
This was very annoying. Goto
{your path}/mysql/bin/
libmySQL.dll
paste it to
{your path}/ruby/bin/
I guess this will solve the problem.

This is my first real problem solve post . hope u liked it .


#2

the_guru wrote:

Locally Update InstantRails-2.0-win to support rails 2.2.2.
Before everything I want point something that all the blogs and forums
shows how to install rails from remote server. But this is

boring for people on the slow side of the internet. Rails is a gem
(meaning this is a package) so we can install rails locally from

the gem. But we need all the gems to install it locally.

Problems you may face:
I face a mysql a problem of : missing libmySQL.dll error
This was very annoying. Goto
{your path}/mysql/bin/
libmySQL.dll
paste it to
{your path}/ruby/bin/
I guess this will solve the problem.

This is my first real problem solve post . hope u liked it .

Hey! Guru!

I found the same things. Now it’s all working well. Wondered if I did it
right.

Excellent problem solve. Nice going.

Ken


#3

thanks for the encouragement !!!
:slight_smile:
It means lot to a newbie … like me


#4

Nice going, Guru.

I’ll pass on a reference of this to people needing help.

Best wishes,
Richard